@ECHO OFF

if '%1 == ' goto no-params

if %1 == help goto myhelp

if not exist %1 goto no-xsd-file

set oldCLASSPATH=%CLASSPATH%

set CLASSPATH=%rootdir%\%which_saxon%\saxon9he.jar
set CLASSPATH=%CLASSPATH%;.

echo ---------------------------------------------------------
echo Running the XSLT Processor, Saxon, with the following specifications:
echo    - XML Schema File: %1
echo    - The result will go into results.xml
echo ---------------------------------------------------------
echo.

java -classpath %CLASSPATH% -jar ..\programs\saxon\saxon9he.jar %1 XSD-tool.xsl


echo.
echo Done.
echo.
goto eof

:no-params
    cls
    echo Oops! You need to run the batch file with 1 argument.
    echo Here's how to use it ...
    echo.
    echo Usage: "input-schemas <xsd filename>"
    echo.
    goto eof

:myhelp
    cls
    echo Usage: "input-schemas <xsd filename>"
    echo.
    goto eof

:no-xsd-file
   cls
   echo Oops! %1 does not exist
   echo Most likely reason: mistyped filename
   echo Exiting ...
   echo.
   goto eof

:eof

